<script lang="ts" setup>
  withDefaults(defineProps<{ totalInactive?: number; totalJoined: number }>(), {
    totalInactive: undefined,
    totalJoined: 0,
  });
</script>
<template>
  <div class="flex w-full flex-col">
    <p class="text-xl font-bold">
      {{ $t('presentation.participants.title') }}
    </p>

    <p class="text-information-subdued text-xs font-medium">
      <slot name="meta-info">
        <span>{{ `${totalJoined} ${$t('joined')}` }}</span>
        <span v-if="totalInactive !== undefined">{{ `, ${totalInactive} ${$t('inactive')}` }}</span>
      </slot>
    </p>

    <slot />
  </div>
</template>
